summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/ecompressdir
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/ecompressdir')
-rwxr-xr-xbin/ebuild-helpers/ecompressdir7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/ecompressdir b/bin/ebuild-helpers/ecompressdir
index 097ade2bc..75f3e3a25 100755
--- a/bin/ebuild-helpers/ecompressdir
+++ b/bin/ebuild-helpers/ecompressdir
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/helper-functions.sh
@@ -9,8 +9,9 @@ if [[ -z $1 ]] ; then
exit 1
fi
-[[ " ${FEATURES} " == *" force-prefix "* ]] || \
- case "$EAPI" in 0|1|2) ED=${D} EPREFIX= ;; esac
+if ! ___eapi_has_prefix_variables; then
+ ED=${D} EPREFIX=
+fi
case $1 in
--ignore)